Package org.eclipse.net4j.util.factory

## Class FactoryKey

- java.lang.Object
- - org.eclipse.net4j.util.factory.FactoryKey

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<FactoryKey>`, `IFactoryKey`

      public final class FactoryKey
      extends java.lang.Object
      implements IFactoryKey, java.io.Serializable, java.lang.Comparable<FactoryKey>

  A default implementation of a `factory key`.
  Author:
    Eike Stepper
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FactoryKey​(java.lang.String productGroup, java.lang.String type)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `compareTo​(FactoryKey key)` |
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getProductGroup()` |
    `java.lang.String` | `getType()` |
    `int` | `hashCode()` |
    `void` | `setProductGroup​(java.lang.String productGroup)` |
    `void` | `setType​(java.lang.String type)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FactoryKey

          public FactoryKey​(java.lang.String productGroup,
                            java.lang.String type)

  - ### Method Detail

    - #### getProductGroup

          public java.lang.String getProductGroup()

      Specified by:
        `getProductGroup` in interface `IFactoryKey`

    - #### setProductGroup

          public void setProductGroup​(java.lang.String productGroup)

    - #### getType

          public java.lang.String getType()

      Specified by:
        `getType` in interface `IFactoryKey`

    - #### setType

          public void setType​(java.lang.String type)

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### compareTo

          public int compareTo​(FactoryKey key)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<FactoryKey>`